OGRE: Ogre::STLAllocator< T, AllocPolicy > Class Template Reference - OGRE Documentation

Classes | Public Types | Public Member Functions

# Ogre::STLAllocator< T, AllocPolicy > Class Template Reference
[Memory]

`#include <OgreMemorySTLAllocator.h>`

Inheritance diagram for Ogre::STLAllocator< T, AllocPolicy >:
[legend]

List of all members.

## Classes
struct | rebind
| the standard rebind mechanism More...
## Public Types
typedef STLAllocatorBase< T > | Base
| define our types, as per ISO C++
typedef Base::value_type | value_type
typedef value_type * | pointer
typedef const value_type * | const_pointer
typedef value_type & | reference
typedef const value_type & | const_reference
typedef std::size_t | size_type
typedef std::ptrdiff_t | difference_type
## Public Member Functions
| STLAllocator ()
| ctor
virtual | ~STLAllocator ()
| dtor
| STLAllocator (STLAllocator const &)
| copy ctor - done component wise
template<typename U >
| STLAllocator (STLAllocator< U, AllocPolicy > const &)
| cast
template<typename U , typename P >
| STLAllocator (STLAllocator< U, P > const &)
| cast
pointer | allocate (size_type count, typename std::allocator< void >::const_pointer ptr=0)
| memory allocation (elements, used by STL)
void | deallocate (pointer ptr, size_type)
| memory deallocation (elements, used by STL)
pointer | address (reference x) const
const_pointer | address (const_reference x) const
size_type | max_size () const throw ()
void | construct (pointer p, const T &val)
void | destroy (pointer p)

## Detailed Description

### template<typename T, typename AllocPolicy>
class Ogre::STLAllocator< T, AllocPolicy >

Definition at line 81 of file OgreMemorySTLAllocator.h.

## Member Typedef Documentation

template<typename T , typename AllocPolicy >

typedef STLAllocatorBase<T> Ogre::STLAllocator< T, AllocPolicy >::Base

define our types, as per ISO C++

Definition at line 85 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

typedef const value_type* Ogre::STLAllocator< T, AllocPolicy >::const_pointer

Definition at line 88 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

typedef const value_type& Ogre::STLAllocator< T, AllocPolicy >::const_reference

Definition at line 90 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

typedef std::ptrdiff_t Ogre::STLAllocator< T, AllocPolicy >::difference_type

Definition at line 92 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

typedef value_type* Ogre::STLAllocator< T, AllocPolicy >::pointer

Definition at line 87 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

typedef value_type& Ogre::STLAllocator< T, AllocPolicy >::reference

Definition at line 89 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

typedef std::size_t Ogre::STLAllocator< T, AllocPolicy >::size_type

Definition at line 91 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

typedef Base::value_type Ogre::STLAllocator< T, AllocPolicy >::value_type

Reimplemented from Ogre::STLAllocatorBase< T >.

Definition at line 86 of file OgreMemorySTLAllocator.h.

## Constructor & Destructor Documentation

template<typename T , typename AllocPolicy >

Ogre::STLAllocator< T, AllocPolicy >::STLAllocator | ( |  | ) | `[explicit]`

ctor

Definition at line 103 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

virtual Ogre::STLAllocator< T, AllocPolicy >::~STLAllocator | ( |  | ) | `[virtual]`

dtor

Definition at line 107 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

Ogre::STLAllocator< T, AllocPolicy >::STLAllocator | ( | STLAllocator< T, AllocPolicy > const & |  | ) |

copy ctor - done component wise

Definition at line 111 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >
template<typename U >

Ogre::STLAllocator< T, AllocPolicy >::STLAllocator | ( | STLAllocator< U, AllocPolicy > const & |  | ) |

cast

Definition at line 116 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >
template<typename U , typename P >

Ogre::STLAllocator< T, AllocPolicy >::STLAllocator | ( | STLAllocator< U, P > const & |  | ) |

cast

Definition at line 121 of file OgreMemorySTLAllocator.h.

## Member Function Documentation

template<typename T , typename AllocPolicy >

pointer Ogre::STLAllocator< T, AllocPolicy >::address | ( | reference | x | ) | const

Definition at line 143 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

const_pointer Ogre::STLAllocator< T, AllocPolicy >::address | ( | const_reference | x | ) | const

Definition at line 148 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

pointer Ogre::STLAllocator< T, AllocPolicy >::allocate | ( | size_type | count,
|  | typename std::allocator< void >::const_pointer | ptr = `0` |
| ) |  |  |

memory allocation (elements, used by STL)

Definition at line 125 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

void Ogre::STLAllocator< T, AllocPolicy >::construct | ( | pointer | p,
|  | const T & | val |
| ) |  |  |

Definition at line 159 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

void Ogre::STLAllocator< T, AllocPolicy >::deallocate | ( | pointer | ptr,
|  | size_type |  |
| ) |  |  |

memory deallocation (elements, used by STL)

Definition at line 136 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

void Ogre::STLAllocator< T, AllocPolicy >::destroy | ( | pointer | p | ) |

Definition at line 165 of file OgreMemorySTLAllocator.h.

template<typename T , typename AllocPolicy >

size_type Ogre::STLAllocator< T, AllocPolicy >::max_size | ( |  | ) | const throw ()

Definition at line 153 of file OgreMemorySTLAllocator.h.

The documentation for this class was generated from the following file:

- OgreMemorySTLAllocator.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:56